Name:		bristol
Version:	0.40.7
Release:	6%{dist}
Summary:	Synthesizer emulator

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://bristol.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libX11-devel alsa-lib-devel jack-audio-connection-kit-devel desktop-file-utils

%description
Bristol is an emulation package for a number of different 'classic' 
synthesizers including additive and subtractive and a few organs. 
The application consists of the engine, which is called bristol, 
and its own GUI library called brighton that represents all the emulations.

%package devel
Summary:	%{summary}
Group:		Applications/Multimedia
Requires:	%{name} = %{version}

%description devel
This package contains the development libraries for Bristol.

%prep
%setup -q

find ./bitmaps/ -name '*.gz' | xargs chmod -x 
chmod -x ./memory/profiles/*
find . -name '*.c' | xargs chmod -x
find . -name '*.h' | xargs chmod -x
find . -name '*.xbm' | xargs chmod -x
find . -name '*.svg' | xargs chmod -x
chmod -x NEWS COPYING* README AUTHORS ChangeLog
chmod -x memory/mixer/another memory/mixer/test memory/mixer/default/memory memory/mini/readme.txt

%build
%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm INSTALL
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 0644 bitmaps/bicon.svg $RPM_BUILD_ROOT%{_datadir}/pixmaps/bristol.svg
desktop-file-install \
    --mode 0644 \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    %{SOURCE1}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* NEWS README
%{_bindir}/*
%{_datadir}/bristol
%{_datadir}/pixmaps/*
%{_datadir}/applications/bristol.desktop
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so

%changelog
* Tue Jan 26 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-6
- Removed INSTALL.

* Mon Jan 25 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-5
- Switched to svg icon, preserved timestamps.

* Fri Jan 22 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-4
- Dropped Encoding from desktop.
- Fixed lib ownership.

* Fri Jan 22 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-3
- Drop -libs subpackage, create -devel.
- Re-dropped mistakenly added static libs.
- Add .desktop file for -b3.

* Thu Jan 21 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-2
- Configure macro, parallel make, fixed rpath.

* Tue Jan 19 2010 Jon Ciesla <limb@jcomserv.net> - 0.40.7-1
- Initial creation.
